Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163567 - Evolution is leaking memory horrendously fast
Summary: Evolution is leaking memory horrendously fast
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 4
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-18 23:09 UTC by Alan Cox
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-15 16:53:23 UTC


Attachments (Terms of Use)

Description Alan Cox 2005-07-18 23:09:53 UTC
Description of problem:

Evolution has always leaked a bit but as of FC4 its bloating to 800Mb every day
on my system. This makes it almost unusable. I do have about 2GB of mailboxes on
disk but this shouldnt matter. It didn't use to.

Happy to run a binary with some memory tracing if you've got one

Comment 1 Dave Malcolm 2005-07-19 15:39:21 UTC
Thanks.  Can you specify versions of the following:
evolution
evolution-data-server
libgal2
gtkhtml3

(Various memory leak patches going in upstream, FWIW)

Comment 2 Alan Cox 2005-07-20 13:51:35 UTC
FC4
bash-3.00$ rpm -q evolution-data-server
evolution-data-server-1.2.2-3
bash-3.00$ rpm -q libgal2
libgal2-2.4.2-4
bash-3.00$ rpm -q gtkhtml3
gtkhtml3-3.6.2-1
bash-3.00$ rpm -q evolution
evolution-2.2.2-5


Comment 4 Alan Cox 2006-05-15 16:53:23 UTC
Just an update on this one. The general rapid leak was fixed by an earlier
errata, the giant leak by DoS email case is still there but this specific one is
done, so closing



Note You need to log in before you can comment on or make changes to this bug.